build:
    stage: build
    image: alpine:latest
    script:
        - echo "Building in prod... npm run build"
        - echo "Testing in prod... npm run test"

deploy:
    stage: deploy
    image: alpine:latest
    only:
        - main
    script:
        - apk add openssh-client
        - eval $(ssh-agent -s)
        - mkdir -p ~/.ssh/
        - chmod 600 ~/.ssh/
        - echo "SSH_KEY  => "$SSH_KEY
        - echo $SSH_KEY > ~/.ssh/id_rsa
        - echo $PROD_USER
        - echo $PROD_HOST
        - echo "$SSH_KEY" | tr -d '\r' | ssh-add -
        - |
          ssh -o StrictHostKeyChecking=no "$PROD_USER"@"$PROD_HOST" << EOF
          sudo git config --global --add safe.directory /home/ec2-user/pheakdeyassignment
          cd ~/pheakdeyassignment
          sudo git pull
          sudo systemctl restart web.service
          
          echo "lotr.service Complete deployment..."
          echo "Complete deployment..."
          EOF 

    allow_failure: true
# sudo sh ~/raksmeyassignment/telegram_bot_build_stage.sh 
